<!DOCTYPE html>
<html ng-app="speaking_club">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Описание приложения AngularJS -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <script src="bower_components/bootstrap/dist/js/bootstrap.js"></script>
    <script src="bower_components/angular/angular.min.js"></script>
    <script src="bower_components/angular-ui-router/release/angular-ui-router.min.js"></script>
    <script src="bower_components/angular-xeditable/dist/js/xeditable.js"></script>
    <!-- load angular -->
    <script src="bower_components/angular-sanitize/angular-sanitize.min.js"></script>
    <script src="bower_components/angular-strap/dist/angular-strap.min.js"></script>
    <script src="bower_components/angular-strap/dist/angular-strap.tpl.min.js"></script>

    <script src="bower_components/angular-smilies/dist/angular-smilies.min.js"></script>
    <script src="https://rawgithub.com/gsklee/ngStorage/master/ngStorage.js"></script>

    <!-- Подключаем модули приложения -->
    <script src="app.js"></script>
    <script src="controllers/about.controller.js"></script>
    <script src="controllers/authorize.controller.js"></script>
    <script src="controllers/chat.controller.js"></script>
    <script src="controllers/current_user.controller.js"></script>
    <script src="controllers/faq.controller.js"></script>
    <script src="controllers/feedback.controller.js"></script>
    <script src="controllers/global.controller.js"></script>
    <script src="controllers/index.controller.js"></script>
    <script src="controllers/login.controller.js"></script>
    <script src="controllers/logout.controller.js"></script>
    <script src="controllers/registration.controller.js"></script>
    <script src="controllers/user.controller.js"></script>
    <script src="controllers/users.controller.js"></script>

    <script src="services/about.svc.js"></script>
    <script src="services/authorize.svc.js"></script>
    <script src="services/chat.svc.js"></script>
    <script src="services/feedback.svc.js"></script>
    <script src="services/users.svc.js"></script>

    <script src="directives/user/user.directive.js"></script>
    <script src="directives/chat/chat.directive.js"></script>
    <script src="directives/chat_messages/chat_messages.directive.js"></script>

    <!-- CSS -->
    <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap-theme.min.css"/>
    <link rel="stylesheet" href="bower_components/angular-xeditable/dist/css/xeditable.css">
    <link rel="stylesheet" href="bower_components/angular-smilies/dist/angular-smilies-embed.min.css">
    <link rel="stylesheet" href="web/css/main.css"/>
    <title>Speaking club</title>
</head>
<body>
<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                    aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#">Speaking club</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">

            <ul class="nav navbar-nav navbar-right" ng-controller="AuthorizeController">

                <li class="dropdown" ng-if="authorized==true" ng-controller="CurrentUserController">
                    <a href="#" class="dropdown-toggle main-user-info" data-toggle="dropdown" role="button"
                       aria-haspopup="true"
                       aria-expanded="false">{{user.firstname}} {{user.lastname}}<span class="caret"></span></a>
                    <ul class="dropdown-menu">

                        <li><a href="#/edituser">Edit profile</a></li>
                        <li><a href="#">Language: English</a></li>
                        <li class="dropdown-submenu">
                            <a tabindex="-1" href="#">Chats</a>
                            <ul class="dropdown-menu">
                                <li><a href="#/chat/13">With Monica</a></li>
                                <li><a href="#/chat/15">With Ross</a></li>
                                <li><a href="#/chat/28">With Ben</a></li>
                                <li class="divider"></li>
                                <li><a href="#">All chats</a></li>
                            </ul>
                        </li>


                        <li role="separator" class="divider"></li>
                        <li ng-controller="LogoutController"><a href="#" ng-click="logout()">Logout</a></li>
                    </ul>
                </li>
                <li ng-if="authorized!=true"><a href="#/login"> Sign In</a></li>
                <li ng-if="authorized!=true"><a href="#/registration"> Sign Up</a></li>

            </ul>
        </div><!--/.nav-collapse -->
    </div>
</nav>


<div id="main" role="main" class="main-container">
    <!-- Здесь будет динамическое содержимое -->
    <ui-view></ui-view>
</div>

<footer class="text-center">

        <div class="container-fluid well well-sm">

            <div class="col-sm-6 col-xs-12">

                <ul class="nav nav-list" role="menu">
                    <li class="nav-header">We in social networks</li>
                    <li role="menuitem"><a href="#">Vkontakte</a></li>
                    <li role="menuitem"><a href="#">Facebook</a></li>
                </ul>
            </div>
            <div class="col-sm-6 col-xs-12">

                <ul class="nav nav-list" role="menu">
                    <li class="nav-header">FOR CLIENTS</li>
                    <li role="menuitem"><a href="#/about">About</a></li>
                    <li role="menuitem"><a href="#/feedback">Feedback</a></li>
                    <li role="menuitem"><a href="#/faq">FAQ</a></li>
                </ul>
            </div>


        </div>
        <p>Copyright © 2017 by DevStation.</p>

        <p>All Rights Reserved.</p>

</footer>


<script src="components/version/version.js"></script>
<script src="components/version/version-directive.js"></script>
<script src="components/version/interpolate-filter.js"></script>
</body>
</html>
